;Copyright (c) 1988 by Martin Vogel
;Eine Textzeile wird entlang eines
;Kreisbogens dargestellt.

(defun C:RUND (/ s sl m r sw ew bw x th)
      (setvar "CMDECHO" 0)
      (setq sl (strlen (setq s (getstring "\nText: " t))))
      (setq th (getreal "\nTexthoehe: "))
      (setq m (getpoint "\nMittelpunkt: "));
      (setq r (getdist m "\nRadius des Inkreises: "))
      (setq sw (getangle m "\nStartwinkel: "))
      (setq ew (getangle m "\nEndwinkel: "))
      (setq bw (/ (- ew sw) (1- sl)))
      (setq x 1)
      (if (< ew sw) (setq kw 90)
                    (progn (setq kw 270) (setq r (+ r th))))
      (setq sw (- sw bw))
      (while (<= x sl)
        (Command "TEXT" "Z"
                 (polar m (setq sw (+ sw bw)) r)
                 th
                 (- (/ (* 180 sw) PI) kw)
                 (substr s x 1))
        (setq x (1+ x)))
)
